Apakah perbedaan antara JSON dan XML?

JSON menyimpan semua datanya dalam format map (key / value) yang rapi dan lebih mudah untuk dipahami.
sedangkan XML adalah bahasa markup yang dirancang untuk menyimpan data

Apakah perbedaan antara HTML dan XML?

HTML adalah bahasa komputer yang digunakan untuk menerapkan tata letak dan konvensi pemformatan ke dokumen teks
sedangkan XML adalah bahasa dinamis yang digunakan untuk mengangkut data dan bukan untuk menampilkan data.

